<div class="r">
    <div class="c-auto">
        <div class="d-flex badges-1">
            <!-- TODO render "conversationSize" using transcluding -->
            <div *ngIf="conversationSize" class="conversation-size mr-1">
                {{ conversationSize }}
            </div>
            <a
                *ngIf="mailAddress"
                class="prevent-default-event address b flex-row mr-2"
                href="mailto:{{ mailAddress.address }}"
            >
                {{ mailAddress.name || mailAddress.address }}
                <span *ngIf="mailAddressTotal && mailAddressTotal  > 1" class="d-flex ml-1">
                    (+{{ mailAddressTotal - 1 }})
                </span>
            </a>
        </div>
    </div>
    <div class="c-stretch">
        <div class="d-flex">
            <div class="subject">
                <div class="ellipsis">
                    {{ mail.subject }}
                </div>
            </div>
        </div>
        <i
            *ngIf="mail.failedDownload as failedDownload"
            [popover]="failedDownload.errorMessage"
            class="fa fa-info-circle text-danger ml-2"
            container="body"
            triggers="mouseenter:mouseleave"
        ></i>
        <i *ngIf="mail.confidential" class="fa fa-lock d-flex ml-2"></i>
    </div>
    <div class="c-auto">
        <div class="d-flex">
            <!-- TODO render "score" using transcluding -->
            <div
                *ngIf="mail.score"
                class="b ml-2 score"
            >
                score: {{ mail.score.toFixed(2) }}
            </div>
            <div class="folders flex-row ml-2">
                <div *ngFor="let folder of mail.folders; trackBy: trackFolder" class="d-flex b mr-2">
                    {{ folder.name }}
                </div>
            </div>
            <div class="date b">
                {{ mail.sentDate | date:'MMM d, yy, HH:mm' }}
            </div>
        </div>
    </div>
</div>
